Link a case to a Clio matter

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /legal/clio/matters/{matterId}/link

Links the case in caseId to a Clio matter: grants the matter's attorneys access to the case, imports them as participants and starts the first document sync. Returns the matter id, its reference number (or name) and the attorneys. Only an org admin or owner or the case creator may link it, and not an opposing counsel organization (403 otherwise). Returns 404 for an unknown case or matter and 409 when the case or the matter is already linked. Requires a member role or above in the organization.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • matterId string Required

    matterId for the existing matter in CLIO

application/json

Body Required

  • caseId string Required

    CaseId for the case to link

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • integrationType string

        Values are clio or smokeball.

      • matterId string
      • matterName string

        The matter reference number, or its name when it has none.

      • attorneys array[object]
        Hide attorneys attributes Show attorneys attributes object
        • contact object
          Hide contact attributes Show contact attributes object
          • id string
          • name string
          • firstName string
          • lastName string
          • email string
          • phone string
          • type string
        • hearsayUserId string

          Present when the attorney has a user account.

    • statusCode number Required
    • timestamp string(date-time) Required
POST /legal/clio/matters/{matterId}/link
curl \
 --request POST 'http://api.example.com/legal/clio/matters/{matterId}/link' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "caseId": "string"
}'
Request examples
# Headers
organization: string

# Payload
{
  "caseId": "string"
}
Response examples (200)
{
  "data": {
    "integrationType": "clio",
    "matterId": "12345",
    "matterName": "00123-Smith",
    "attorneys": [
      {
        "contact": {
          "id": "987654",
          "name": "Jane Doe",
          "firstName": "Jane",
          "lastName": "Doe",
          "email": "jane.doe@example.com",
          "phone": "+15555550123",
          "type": "Person"
        },
        "hearsayUserId": "65a1b2c3d4e5f6a7b8c9d0e4"
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}